# IdeaPlugin

abstract class IdeaPlugin : IdePlugin

Adds a GenerateIdeaModule task. When applied to a root project, also adds a GenerateIdeaProject task. For projects that have the Java plugin applied, the tasks receive additional Java-specific configuration.

#### See also

<a href="https://docs.gradle.org/current/userguide/idea_plugin.html">IDEA plugin reference</a>

## Constructors

IdeaPlugin
Link copied to clipboard
@Inject
constructor(uniqueProjectNameProvider: UniqueProjectNameProvider, artifactRegistry: IdeArtifactRegistry, projectPathRegistry: ProjectStateRegistry)

## Properties

SOURCE_COMPATIBILITY
Link copied to clipboard
val SOURCE_COMPATIBILITY: Function<Project, JavaVersion>
TARGET_COMPATIBILITY
Link copied to clipboard
val TARGET_COMPATIBILITY: Function<Project, JavaVersion>

## Functions

addWorker
Link copied to clipboard
open fun addWorker(worker: Task)
apply
Link copied to clipboard
open fun apply(target: Project)
getCleanTask
Link copied to clipboard
open fun getCleanTask(): TaskProvider<out Task>
getLifecycleTask
Link copied to clipboard
open fun getLifecycleTask(): TaskProvider<out Task>
getModel
Link copied to clipboard
open fun getModel(): IdeaModel
isRoot
Link copied to clipboard
open fun isRoot(): Boolean
toGradleCommand
Link copied to clipboard
open fun toGradleCommand(project: Project): String